CVE-2004-0013
CVSS5.0
发布时间 :2004-02-03 00:00:00
修订时间 :2008-09-05 16:37:18
NMCOS    

[原文]jabber 1.4.2, 1.4.2a, and possibly earlier versions, does not properly handle SSL connections, which allows remote attackers to cause a denial of service (crash).


[CNNVD]jabberd SSL远程拒绝服务攻击漏洞(CNNVD-200402-022)

        
        jabberd是一款即时聊天守护程序。
        jabberd在处理SSL连接时存在不明错误,远程攻击者可以利用这个漏洞对服务程序进行拒绝服务攻击。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:jabber_software_foundation:jabber_server:1.4.3
cpe:/a:jabber_software_foundation:jabber_server:1.4.2a

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0013
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0013
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200402-022
(官方数据源) CNNVD

- 其它链接及资源

http://www.mandrakesoft.com/security/advisories?name=MDKSA-2004:005
(VENDOR_ADVISORY)  MANDRAKE  MDKSA-2004:005
http://www.debian.org/security/2004/dsa-414
(VENDOR_ADVISORY)  DEBIAN  DSA-414
http://xforce.iss.net/xforce/xfdb/14158
(VENDOR_ADVISORY)  XF  jabber-ssl-connections-dos(14158)
http://www.securityfocus.com/bid/9376
(VENDOR_ADVISORY)  BID  9376
http://www.osvdb.org/3345
(UNKNOWN)  OSVDB  3345
http://secunia.com/advisories/10559
(UNKNOWN)  SECUNIA  10559

- 漏洞信息

jabberd SSL远程拒绝服务攻击漏洞
中危 未知
2004-02-03 00:00:00 2005-09-02 00:00:00
远程  
        
        jabberd是一款即时聊天守护程序。
        jabberd在处理SSL连接时存在不明错误,远程攻击者可以利用这个漏洞对服务程序进行拒绝服务攻击。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        jabberd
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载升级到Jabberd 1.4.3版本以上。
        
        http://www.vbulletin.com/download/

- 漏洞信息

3345
jabberd SSL DoS
Denial of Service
Loss of Availability

- 漏洞描述

Jabber contains a flaw that may allow a remote denial of service. The issue is caused by an undisclosed flaw in pthsock_client when using SSL, and will result in loss of availability for the service.

- 时间线

2004-01-07 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.4.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Jabber Server SSL Handling Denial of Service Vulnerability
Unknown 9376
Yes No
2004-01-07 12:00:00 2009-07-12 12:56:00
Reported by Debian.

- 受影响的程序版本

Mandriva Linux Mandrake 9.2 amd64
Mandriva Linux Mandrake 9.2
Mandriva Linux Mandrake 9.1 ppc
Mandriva Linux Mandrake 9.1
MandrakeSoft Corporate Server 2.1 x86_64
MandrakeSoft Corporate Server 2.1
Jabber Software Foundation Jabber Server 1.4.2 a
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0

- 漏洞讨论

It has been reported that the Jabber server is vulnerable to a remotely exploitable denial of service condition. The flaw that can trigger the condition is allegedly due to a failure to handle certain types of SSL connections. Remote attackers may exploit this vulnerability to cause the server to crash, resulting in a denial of service. Further technical details are not known at this time.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Mandrake has issued fixes. See advisory MDKSA-2004:005 in the reference section for further details.

Debian has issued fixes. See advisory DSA-414-1 in the reference section.


Jabber Software Foundation Jabber Server 1.4.2 a

MandrakeSoft Corporate Server 2.1 x86_64

MandrakeSoft Corporate Server 2.1

Mandriva Linux Mandrake 9.1

Mandriva Linux Mandrake 9.1 ppc

Mandriva Linux Mandrake 9.2

Mandriva Linux Mandrake 9.2 amd64

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站